<!DOCTYPE html>
<html>
<head>
    <title></title>
    <meta name="author" content="Mathieu" />
    <meta charset="UTF-8" />
    <link rel="stylesheet" href="css/style.css" />
</head>
<body>

    <header class="header">
        <h1 class="title-1">Gestion des articles</h1>
    </header>

    <main class="content">

        <div class="content__actions">
            <button class="button" id="addBtn" type="button">+ Nouvel article</button>
        </div>

        <!-- Liste -->
        <div class="list" id="articleList">

            <!-- En-tête -->
            <div class="list__heading">
                <div class="col col--cbx"><input type="checkbox" checked="checked" /></div>
                <div class="col">Code</div>     
                <div class="col col--main">Titre</div>
                <div class="col">Auteur</div>
                <div class="col">Date de création</div>
                <div class="col">Prix</div>
            </div>

            <!-- Liste d'articles -->
            <ul class="list__content"></ul>

        </div>

        <!-- Pagination -->
        <nav class="pagination">
            <a class="page" href="#" title="Page précédente">&lt;</a>
            <ol class="pagination__pages">
                <li><a class="page active" href="#" title="Page 1">1</a></li>
                <li><a class="page" href="#" title="Page 2">2</a></li>
                <li><a class="page" href="#" title="Page 3">3</a></li>
            </ol>
            <a class="page" href="#" title="Page suivante">&gt;</a>
        </nav>  
        
    </main>

    <dialog class="dialog" id="addModale">

        <header class="dialog__heading">
            <h3 class="title-1">Ajouter un nouvel article</h3>
        </header>
        <main class="dialog__content">
            <form class="form" id="addForm">               
                <div class="input">
                    <label for="code">Code</label>
                    <input name="code" id="code" type="text" placeholder="Code" minlength="6" required /></input>
                </div>
                <div class="input">
                    <label for="title">Titre</label>
                    <input name="title" id="title" type="text" placeholder="Titre du livre" required /></input>
                </div>
                <div class="input">
                    <label for="author">Auteur</label>
                    <select name="author" id="author" required>
                        <option value="" disabled selected>Sélectionner un auteur</option>
                        <option value="Hergé">Hergé</option>
                        <option value="Jules Verne">Jules Verne</option>
                        <option value="Sebastião Salgado">Sebastião Salgado</option>
                    </select>
                </div>
                <div class="input">
                    <label for="price">Prix</label>
                    <input name="price" id="price" type="number" value="0.00" required min="0" step=".01" />
                </div>
                <div class="form__actions">
                    <button class="button button--secondary" id="cancelAddBtn" type="button">Annuler</button>
                    <button class="button" type="submit">Ajouter</button>            
                </div>
            </form>
        </main>

    </dialog>
    
    <script src="js/index.js"></script>

</body>
</html>